package com.izouma.nineth.enums;

/**
 * 积分变动类型
 */
public enum IntegralChangeType {
    SIGN_IN("签到"),
    CONSUME("消费"),
    DRAW_LOTTERY("转盘抽奖"),
    COMPOSITION("合成"),
    PRESENT("赠送"),
    REGISTER("注册"),
    INVITE("邀请"),
    ;

    private final String description;

    IntegralChangeType(String description) {
        this.description = description;
    }

    public String getDescription() {
        return description;
    }
}
